Bug 11518 - very-very-very nice README.recipes missing
Summary: very-very-very nice README.recipes missing
Status: CLOSED FIXED
Alias: None
Product: Sisyphus
Classification: Development
Component: mdadm (show other bugs)
Version: unstable
Hardware: all Linux
: P2 enhancement
Assignee: Alexey Shabalin
QA Contact: qa-sisyphus
URL: http://gp.i74.de/cgi-bin/dwww//usr/sh...
Keywords:
Depends on:
Blocks:
 
Reported: 2007-04-16 17:58 MSD by Michael Shigorin
Modified: 2010-09-24 21:21 MSD (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Shigorin 2007-04-16 17:58:15 MSD
Было бы замечательно запотрошить документацию из дебиановского пакета, начиная с
README.recipes (сегодня нагуглил, grow'я RAID1 на ещё один диск):

mdadm for Debian
================

Please make sure you read into /usr/share/doc/mdadm/NEWS.Debian.gz and the
documents listed under "further reading" a little later in this file.

The latest version of this document is available here:
 
http://svn.debian.org/wsvn/pkg-mdadm/mdadm/trunk/debian/README.Debian?op=file&rev=0&sc=0

Upgrading and the configuration file
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
This version of mdadm now NEEDS /etc/mdadm/mdadm.conf, which it will try to
generate during installation, if nonexistent.

PLEASE MAKE SURE TO READ /usr/share/doc/mdadm/README.upgrading-2.5.3.gz !

You can use the output of /usr/share/mdadm/mkconf to generate your very own
mdadm.conf file, and look into
/usr/share/doc/mdadm/examples/mdadm.conf-example for inspiration.

Autostarting devices
~~~~~~~~~~~~~~~~~~~~
The mdadm.conf file controls which devices are to be started automatically by
mdadm during boot (assuming AUTOSTART is set to true in /etc/default/mdadm),
and various other parameters about how they are to be started. The file can
also contain some control parameters for the mdadm monitor daemon. See
mdadm.conf(5) for more information.

Note: this only applies to modular kernels. If you use a monolithic kernel,
you can control which devices are started automatically by changing the
partition type: 0xfd for autostart, 0x83 to prevent autostart. mdadm does not
actually care about the partition type, only the kernel does.

Common recipes
~~~~~~~~~~~~~~
Check /usr/share/doc/mdadm/README.recipes.gz for some simple examples of how
to do the most common stuff with mdadm.

To RAID5 or not to RAID5
~~~~~~~~~~~~~~~~~~~~~~~~
See http://www.miracleas.com/BAARF/BAARF2.html . The package maintainer could
not possibly come up with so much emotion over such a technical topic.

See also the RAID5_versus_RAID10.txt.gz document included with this package.

Further reading
~~~~~~~~~~~~~~~
The documentation for the kernel md driver is included in
/usr/share/doc/mdadm/md.txt.gz. In addition, the md(4) manpage provides
valuable information about the applicable concepts. Do read those!

Further documents of interest:
  - Linux-RAID reference Wiki:
      http://linux-raid.osdl.org
  - Linux software RAID HOWTO:
      http://tldp.org/HOWTO/Software-RAID-HOWTO.html
  - linux-raid mailing list info:
      http://vger.kernel.org/vger-lists.html#linux-raid
  - linux-raid mailing list FAQ:
      http://www.faqs.org/contrib/linux-raid/

Upstream
~~~~~~~~
For completeness: The upstream repository is available from
  http://neil.brown.name/git?p=mdadm
  git clone git://neil.brown.name/mdadm

Debian package maintenance
~~~~~~~~~~~~~~~~~~~~~~~~~~
The package is maintained in SVN on alioth.debian.org. To obtain the source:

  svn://svn.debian.org/svn/pkg-mdadm/mdadm/trunk
  svn+ssh://<username>@svn.debian.org/svn/pkg-mdadm/mdadm/trunk

The second form is for developers with the intention to contribute. If you
want to join the mdadm effort, please talk to me.

Since the SVN repository only store the ./debian directory, you need the
upstream tarball as well. I suggest using svn-buildpackage.

Please do not forget to tag new releases.

There are things to do listed in debian/TODO .

 -- martin f. krafft <madduck@debian.org>  Fri, 07 Jul 2006 10:55:42 +0200

$Id: README.Debian 253 2006-10-31 13:29:35Z madduck $
Comment 1 Michael Shigorin 2008-10-14 17:30:10 MSD
reassign
Comment 2 Michael Shigorin 2010-06-08 22:18:11 MSD
Коммиты приветствуются? :)
Comment 3 Dmitry V. Levin 2010-09-24 13:55:05 MSD
В mdadm-3.1.4-alt1 этот файл будет упакован.
Comment 4 Repository Robot 2010-09-24 16:38:13 MSD
mdadm-3.1.4-alt1 -> sisyphus:

* Mon Sep 20 2010 Vitaly Kuznetsov <vitty@altlinux> 3.1.4-alt1
- Updated to mdadm-3.1.4-2-ga2ce5a1 (closes: #23792).
- Packaged README.recipes from Debian (closes: #11518).
- Packaged mdmon.
- Dropped unused mdassemble.
- Cleaned up specfile and startup script.
Comment 5 Michael Shigorin 2010-09-24 19:09:03 MSD
(In reply to comment #3)
> В mdadm-3.1.4-alt1 этот файл будет упакован.
Ура, спасибо! :)

(In reply to comment #4)
> - Dropped unused mdassemble.
Он точно не используется в нынешних initrd?
Comment 6 Dmitry V. Levin 2010-09-24 19:40:13 MSD
(In reply to comment #5)
> (In reply to comment #4)
> > - Dropped unused mdassemble.
> Он точно не используется в нынешних initrd?

В mkinitrd перестал использоваться с января 2007 года:
http://git.altlinux.org/gears/m/mkinitrd.git?p=mkinitrd.git;a=commitdiff;h=2.9.12-alt1-22-gb429a21

В make-initrd, насколько я понимаю, никогда не использовался, поскольку в md-raid.rules вызывается mdadm.
Comment 7 Alexey Gladkov 2010-09-24 20:56:30 MSD
(В ответ на комментарий №6)
> В make-initrd, насколько я понимаю, никогда не использовался, поскольку в
> md-raid.rules вызывается mdadm.

В make-initrd никогда не использовался mdadm.
Comment 8 Dmitry V. Levin 2010-09-24 21:12:08 MSD
(In reply to comment #7)
> (В ответ на комментарий №6)
> > В make-initrd, насколько я понимаю, никогда не использовался, поскольку в
> > md-raid.rules вызывается mdadm.
> 
> В make-initrd никогда не использовался mdadm.

Значит, в make-initrd используется md_run, как и в mkinitrd?
Comment 9 Alexey Gladkov 2010-09-24 21:21:08 MSD
(В ответ на комментарий №8)
> Значит, в make-initrd используется md_run, как и в mkinitrd?

Пока да.
Но с новым mdadm думаю, нужно добавлять его поддержку в make-initrd.